注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

心情挺好的博客

正在等你光临呢 呵呵

 
 
 

日志

 
 
关于我

喜欢摄影的朋友看过来:) 有时间就跟我一起去拍照去吧. QQ272751 上海圣玛丽摄影化妆培训学校 16年专业摄影培训化妆培训学校 电话:15900513500。 http://www.smlsh.com

网易考拉推荐

ubuntu开发环境配置  

2009-01-13 02:18:44|  分类: 技术 |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
新买了台Dell的台式机(说是预装红旗linux,开机才发现机器上啥都没有),终于可以抛弃笔记本的小键盘和小屏幕了,ubuntu实在是太出名了,遂装之。
  ubuntu 8.04对Dell的机器支持还是很好,安装完毕后,显卡、声卡、有线网卡、无线网卡统统ok。还是蛮爽的。不过接下去就发现很多软件包都没有安装,根本 没法干活。下面列举了下在ubuntu需要自己安装的软件,供大家安装时参考(安装完Ubuntu后,最好安装最新的更新,这些更新包部分包含了下面的软 件包)

  minicom (字符环境的串口终端,在远程使用telnet时使用)
  gtkterm (图形环境的串口终端,在图形环境的桌面上使用)
  cutecom (图形环境的串口终端,可以log和滚动条,但无法显示带格式的字符)
  samba (Windows的网络文件共享)
  system-config-samba (图形环境的samba配置,用命令行和配置文件太麻烦)
  linux-libc-dev (c开发库)
  g++
  xinetd (tftpd telnet依赖此包)
  tftpd (tftp服务器)
  tftp (tftp 客户端)
  svn (配置管理工具,下载网上的开源代码)
  中文输入 (没这个,俺只能在lupa上写英文了)
  wireshark(抓包工具,有个包无法下载,必须添加欧洲官方源服务器,请参考http://wiki.ubuntu.org.cn /index.php?title=%E5%BF%AB%E9%80%9F%E8%AE%BE%E7%BD%AE%E6%8C%87%E5%8D%97 /GutsyGibbon&variant=zh-cn添加源服务器)
  flex (词法分析器,编译openWrt需要用到)
  autoconf (自动配置脚本生成器,编译openWrt需要用到)
  zliblg-dev (zip开发库,编译openWrt需要用到)
  sshlib (ssh加密库,编译openWrt需要用到)
  yacc (语法分析器,编译openWrt需要用到)
  libncurses5-dev (编译linux内核时, make menuconfig时需要的包)
  bison (替代yacc的语法解析器)
  automake (自动化的make工具)

  ubuntu的下载服务器很慢,因此需要一些耐心,在遇到问题的时候,用google一般都能解决(搜索关键字为 "ubuntu 加上 显示的出错信息")。ubuntu的软件安装做得还是挺贴心的,比redhat方便多了.
  真是希望ubuntu最好能搞个特定的发行版本,建议叫“开发版本”吧,如同在Fedora的版本安装时需要选择的"桌面","服务器","开发"一样。 Desktop版本只有700多兆,Server版本只有500多兆,包含的软件包显然太少了。完全依赖网络安装,很容易让一些linux的入门者放弃。
  评论这张
 
阅读(931)| 评论(0)
推荐 转载

历史上的今天

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017